service.h File Reference
`#include <corosync/hdb.h>`
Include dependency graph for service.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | default_service

## Functions

char * | corosync_service_link_and_init (struct corosync_api_v1 *objdb, struct default_service *service_engine)
| Link and initialize a service.
unsigned int | corosync_service_unlink_and_exit (struct corosync_api_v1 *objdb, const char *service_name, unsigned int service_ver)
| Unlink and exit a service.
void | corosync_service_unlink_all (struct corosync_api_v1 *api, void(*unlink_all_complete)(void))
| Unlink and exit all corosync services.
unsigned int | corosync_service_defaults_link_and_init (struct corosync_api_v1 *objdb)
| Load all of the default services.
struct corosync_service_engine * | votequorum_get_service_engine_ver0 (void)
struct corosync_service_engine * | vsf_quorum_get_service_engine_ver0 (void)
struct corosync_service_engine * | quorum_get_service_handler_ver0 (void)
struct corosync_service_engine * | pload_get_service_engine_ver0 (void)
struct corosync_service_engine * | cfg_get_service_engine_ver0 (void)
struct corosync_service_engine * | cpg_get_service_engine_ver0 (void)
struct corosync_service_engine * | mon_get_service_engine_ver0 (void)
struct corosync_service_engine * | wd_get_service_engine_ver0 (void)
struct corosync_service_engine * | cmap_get_service_engine_ver0 (void)

## Variables

struct corosync_service_engine * | corosync_service []
const char * | service_stats_rx [SERVICES_COUNT_MAX][SERVICE_HANDLER_MAXIMUM_COUNT]
const char * | service_stats_tx [SERVICES_COUNT_MAX][SERVICE_HANDLER_MAXIMUM_COUNT]

## Function Documentation

## cfg_get_service_engine_ver0()

struct corosync_service_engine * cfg_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 287 of file exec/cfg.c.

References cfg_service_engine.

## cmap_get_service_engine_ver0()

struct corosync_service_engine * cmap_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 284 of file exec/cmap.c.

References cmap_service_engine.

Referenced by LOGSYS_DECLARE_SUBSYS().

## corosync_service_defaults_link_and_init()

unsigned int corosync_service_defaults_link_and_init | ( | struct corosync_api_v1 * | objdb | ) |

extern

Load all of the default services.

Definition at line 339 of file service.c.

References COROSYNC_DONE_SERVICE_ENGINE_INIT, corosync_exit_error, corosync_service_link_and_init(), log_printf, LOGSYS_LEVEL_ERROR, and default_service::name.

## corosync_service_link_and_init()

char * corosync_service_link_and_init | ( | struct corosync_api_v1 * | objdb,
|  | struct default_service * | service_engine )

Link and initialize a service.

Definition at line 117 of file service.c.

References corosync_service_engine::config_init_fn, corosync_service, cs_ipcs_service_init(), corosync_service_engine::exec_engine_count, corosync_service_engine::exec_init_fn, ICMAP_KEYNAME_MAXLEN, icmap_set_string(), icmap_set_uint16(), icmap_set_uint32(), icmap_set_uint64(), corosync_service_engine::id, default_service::loader, log_printf, LOGSYS_LEVEL_NOTICE, corosync_service_engine::name, default_service::name, service_stats_rx, service_stats_tx, and default_service::ver.

Referenced by corosync_service_defaults_link_and_init(), and votequorum_init().

## corosync_service_unlink_all()

void corosync_service_unlink_all | ( | struct corosync_api_v1 * | api,
|  | void(* | unlink_all_complete )(void) )

extern

Unlink and exit all corosync services.

Definition at line 394 of file service.c.

References seus_handler_data::api, and cs_poll_handle_get().

Referenced by corosync_shutdown_request().

## corosync_service_unlink_and_exit()

unsigned int corosync_service_unlink_and_exit | ( | struct corosync_api_v1 * | objdb,
|  | const char * | service_name,
|  | unsigned int | service_ver )

extern

Unlink and exit a service.

Definition at line 450 of file service.c.

References service_unlink_and_exit_data::api, cs_poll_handle_get(), service_unlink_and_exit_data::name, and service_unlink_and_exit_data::ver.

## cpg_get_service_engine_ver0()

struct corosync_service_engine * cpg_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 454 of file exec/cpg.c.

References cpg_service_engine.

## mon_get_service_engine_ver0()

struct corosync_service_engine * mon_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 149 of file mon.c.

References mon_service_engine.

## pload_get_service_engine_ver0()

struct corosync_service_engine * pload_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 146 of file pload.c.

References pload_service_engine.

## quorum_get_service_handler_ver0()

struct corosync_service_engine * quorum_get_service_handler_ver0 | ( | void |  | ) |

## votequorum_get_service_engine_ver0()

struct corosync_service_engine * votequorum_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 416 of file exec/votequorum.c.

## vsf_quorum_get_service_engine_ver0()

struct corosync_service_engine * vsf_quorum_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 236 of file vsf_quorum.c.

## wd_get_service_engine_ver0()

struct corosync_service_engine * wd_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 146 of file wd.c.

References wd_service_engine.

## Variable Documentation

## corosync_service

struct corosync_service_engine* corosync_service[]

extern

Definition at line 110 of file service.c.

Referenced by corosync_sending_allowed(), corosync_service_link_and_init(), corosync_state_dump(), cs_ipcs_get_conn_stats(), and main_mcast().

## service_stats_rx

const char* service_stats_rx[SERVICES_COUNT_MAX][SERVICE_HANDLER_MAXIMUM_COUNT]

extern

Definition at line 112 of file service.c.

Referenced by corosync_service_link_and_init().

## service_stats_tx

const char* service_stats_tx[SERVICES_COUNT_MAX][SERVICE_HANDLER_MAXIMUM_COUNT]

extern

Definition at line 113 of file service.c.

Referenced by corosync_service_link_and_init(), and main_mcast().